Bug 699591 - [F15 regression] nm-connection-editor no longer accepts DER/*.crt certificate files
Summary: [F15 regression] nm-connection-editor no longer accepts DER/*.crt certificate...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-26 05:54 UTC by Stefan Becker
Modified: 2011-05-10 03:24 UTC (History)
2 users (show)

Fixed In Version: NetworkManager-0.8.999-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-10 03:24:59 UTC


Attachments (Terms of Use)

Description Stefan Becker 2011-04-26 05:54:40 UTC
Description of problem:

After upgrading from F14 to F15 Beta I had to re-enter my wireless network information. One network uses WPA2 Enterprise and the CA certificate is provided as a DER file with the file extension .crt. When I select the certificate the "Connect" button gets ghosted and the following error shows up in .xsession-errors:

** (nm-connection-editor:16011): WARNING **: Error: couldn't verify CA certificate: 3 PEM certificate had no start tag '-----BEGIN CERTIFICATE-----'.
** (nm-connection-editor:16011): WARNING **: Invalid setting Wireless Security: Invalid wireless security

After converting the certificate to the PEM format with

   openssl x509 -inform der -in CA.crt -out CA.pem

it was accepted again.

The file dialog for choosing the certificate uses this filter:

   "DER or PEM certificates (*.der, *.pem, *.crt, *.cer)"

So either DER certificates are no longer supported, or .crt files are no longer recognized as DER certificates.


Version-Release number of selected component (if applicable):
NetworkManager-glib-0.8.998-3.git20110419.fc15.i686
NetworkManager-0.8.998-3.git20110419.fc15.i686
NetworkManager-gnome-0.8.998-3.git20110419.fc15.i686


How reproducible: Always


Steps to Reproduce:
1. Select wireless network with WPA2 Enterprise security
2. Select "CA Certificate"
3. Select .crt file from file dialog
  
Actual results:
Can't complete wireless network setup.

Expected results:
Can complete wireless network setup.

Additional info:

Comment 1 Jirka Klimes 2011-04-28 09:47:45 UTC
The editor handles that correctly. However, the DER certificate was ruled out due to verifying the certificate in libnm-util/crypto.c (due to recent changes).
Now fixed, and both PEM and DER are supported.

Fixed in master:
08fda12858f9ea81f09cffaecf73da465ae964df

Comment 2 Fedora Update System 2011-05-04 05:28:43 UTC
NetworkManager-0.8.999-1.fc15,NetworkManager-openswan-0.8.999-1.fc15,NetworkManager-openconnect-0.8.999-1.fc15,NetworkManager-pptp-0.8.999-1.fc15,NetworkManager-openvpn-0.8.999-1.fc15,NetworkManager-vpnc-0.8.999-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.999-1.fc15,NetworkManager-openswan-0.8.999-1.fc15,NetworkManager-openconnect-0.8.999-1.fc15,NetworkManager-pptp-0.8.999-1.fc15,NetworkManager-openvpn-0.8.999-1.fc15,NetworkManager-vpnc-0.8.999-1.fc15

Comment 3 Fedora Update System 2011-05-05 04:44:57 UTC
Package NetworkManager-0.8.999-1.fc15, NetworkManager-openswan-0.8.999-1.fc15, NetworkManager-openconnect-0.8.999-1.fc15, NetworkManager-pptp-0.8.999-1.fc15, NetworkManager-openvpn-0.8.999-1.fc15, NetworkManager-vpnc-0.8.999-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.999-1.fc15 NetworkManager-openswan-0.8.999-1.fc15 NetworkManager-openconnect-0.8.999-1.fc15 NetworkManager-pptp-0.8.999-1.fc15 NetworkManager-openvpn-0.8.999-1.fc15 NetworkManager-vpnc-0.8.999-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.999-1.fc15,NetworkManager-openswan-0.8.999-1.fc15,NetworkManager-openconnect-0.8.999-1.fc15,NetworkManager-pptp-0.8.999-1.fc15,NetworkManager-openvpn-0.8.999-1.fc15,NetworkManager-vpnc-0.8.999-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-05-10 03:24:49 UTC
NetworkManager-0.8.999-1.fc15, NetworkManager-openswan-0.8.999-1.fc15, NetworkManager-openconnect-0.8.999-1.fc15, NetworkManager-pptp-0.8.999-1.fc15, NetworkManager-openvpn-0.8.999-1.fc15, NetworkManager-vpnc-0.8.999-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.